Turkish DST change requires update to 2014a

Bug #1290193 reported by Ekin Koc on 2014-03-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tzdata (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
Saucy
Undecided
Unassigned

Bug Description

Version 2014a of Iana Tz data contains an important fix for the upcoming DST date change for Turkey. (http://mm.icann.org/pipermail/tz-announce/2014-March/000018.html)

The DST change is due to happen in March 31. Can we have a package update before then? Otherwise, what would be the manual update procedure?

Thanks.

Adam Conrad (adconrad) on 2014-03-13
Changed in tzdata (Ubuntu):
status: New → Fix Released

Hello Ekin, or anyone else affected,

Accepted tzdata into lucid-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/tzdata/2014a-0ubuntu0.10.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in tzdata (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Changed in tzdata (Ubuntu Precise):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Ekin, or anyone else affected,

Accepted tzdata into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/tzdata/2014a-0ubuntu0.12.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in tzdata (Ubuntu Quantal):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Ekin, or anyone else affected,

Accepted tzdata into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/tzdata/2014a-0ubuntu0.12.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in tzdata (Ubuntu Saucy):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Ekin, or anyone else affected,

Accepted tzdata into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/tzdata/2014a-0ubuntu0.13.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Conrad (adconrad) wrote :

Verified on lucid, precise, quantal, and saucy with 'zdump -v Europe/Istanbul' before and after update, and the change looks correct to me:

--- Istanbul.before 2014-03-14 11:45:31.786446031 -0600
+++ Istanbul.after 2014-03-14 11:46:19.422444346 -0600
@@ -246,8 +246,8 @@
 Europe/Istanbul Sun Mar 31 01:00:00 2013 UTC = Sun Mar 31 04:00:00 2013 EEST isdst=1 gmtoff=10800
 Europe/Istanbul Sun Oct 27 00:59:59 2013 UTC = Sun Oct 27 03:59:59 2013 EEST isdst=1 gmtoff=10800
 Europe/Istanbul Sun Oct 27 01:00:00 2013 UTC = Sun Oct 27 03:00:00 2013 EET isdst=0 gmtoff=7200
-Europe/Istanbul Sun Mar 30 00:59:59 2014 UTC = Sun Mar 30 02:59:59 2014 EET isdst=0 gmtoff=7200
-Europe/Istanbul Sun Mar 30 01:00:00 2014 UTC = Sun Mar 30 04:00:00 2014 EEST isdst=1 gmtoff=10800
+Europe/Istanbul Mon Mar 31 00:59:59 2014 UTC = Mon Mar 31 02:59:59 2014 EET isdst=0 gmtoff=7200
+Europe/Istanbul Mon Mar 31 01:00:00 2014 UTC = Mon Mar 31 04:00:00 2014 EEST isdst=1 gmtoff=10800
 Europe/Istanbul Sun Oct 26 00:59:59 2014 UTC = Sun Oct 26 03:59:59 2014 EEST isdst=1 gmtoff=10800
 Europe/Istanbul Sun Oct 26 01:00:00 2014 UTC = Sun Oct 26 03:00:00 2014 EET isdst=0 gmtoff=7200
 Europe/Istanbul Sun Mar 29 00:59:59 2015 UTC = Sun Mar 29 02:59:59 2015 EET isdst=0 gmtoff=7200

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2014a-0ubuntu0.10.04

---------------
tzdata (2014a-0ubuntu0.10.04) lucid; urgency=medium

  * New upstream release, with updated Turkish DST (LP: #1290193)
  * Remove solar87, solar88, solar89, following upstream removal.
 -- Adam Conrad <email address hidden> Thu, 13 Mar 2014 17:44:33 -0600

Changed in tzdata (Ubuntu Lucid):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for tzdata has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2014a-0ubuntu0.12.04

---------------
tzdata (2014a-0ubuntu0.12.04) precise; urgency=medium

  * New upstream release, with updated Turkish DST (LP: #1290193)
  * Remove solar87, solar88, solar89, following upstream removal.
 -- Adam Conrad <email address hidden> Thu, 13 Mar 2014 17:44:33 -0600

Changed in tzdata (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2014a-0ubuntu0.12.10

---------------
tzdata (2014a-0ubuntu0.12.10) quantal; urgency=medium

  * New upstream release, with updated Turkish DST (LP: #1290193)
  * Remove solar87, solar88, solar89, following upstream removal.
 -- Adam Conrad <email address hidden> Thu, 13 Mar 2014 17:44:33 -0600

Changed in tzdata (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2014a-0ubuntu0.13.10

---------------
tzdata (2014a-0ubuntu0.13.10) saucy; urgency=medium

  * New upstream release, with updated Turkish DST (LP: #1290193)
  * Remove solar87, solar88, solar89, following upstream removal.
 -- Adam Conrad <email address hidden> Thu, 13 Mar 2014 17:44:33 -0600

Changed in tzdata (Ubuntu Saucy):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers